Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Courses

Get Courses
GET /training/courses
https://api.relesysapp.net/api/v1.4/training/courses
Get a list of Courses
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseGroupId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
name string Filterable Sortable optional
performanceScoreRequired integer Filterable Sortable optional
phaseId string / guid Filterable optional
sortOrder integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"c14d399d-ade7-4cb5-b49f-c0d0240ceb55","courseGroupId":"eae483fa-775f-428d-8cbe-c86996214b6f","phaseId":"c67949d5-627d-482c-9e51-0eb4990eadaf","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","name":"Training Course","performanceScoreRequired":95},{"id":"9149caaf-9723-41a3-8993-1c9f2ab369ab","courseGroupId":"9ebd062c-affd-47df-ac15-b8b91fc4f9b6","phaseId":"51c778ea-108b-4f85-b011-50e9c9d6db75","creationDateTime":"2020-08-15T22:00:00+00:00","lastModifiedDateTime":"2020-10-19T22:00:00+00:00","name":"Training E-Learning","performanceScoreRequired":80}]}
object
  count integer      
  data array[object]      
   courseGroupId string / guid      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   name string      
   performanceScoreRequired integer      
   phaseId string / guid      
  nextUrl string      
  previousUrl string